Bug 107552 - Compiler issue causing execssive kernel stack usage
Compiler issue causing execssive kernel stack usage
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc (Show other bugs)
2.1
All Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 87937 90320
  Show dependency treegraph
 
Reported: 2003-10-20 11:37 EDT by Tim Burke
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-19 12:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Burke 2003-10-20 11:37:42 EDT
Description of problem:
Excerpt from email from Stephen:

Hi,

On Thu, 2003-10-16 at 10:57, Stephen C. Tweedie wrote:


>> 000002c0 <ext3_free_blocks>:
>>      2c4:       81 ec ac 01 00 00       sub    $0x1ac,%esp


>> 000024b0 <ext3_new_inode>:
>>     24b4:       81 ec 28 02 00 00       sub    $0x228,%esp



Building these by hand with the original AS-2.1 compiler from my
Pensacola isos, I get:

Compiler: gcc-2.96-108.1
000002c0 <ext3_free_blocks>:
     2c4:	83 ec 5c             	sub    $0x5c,%esp
000023a0 <ext3_new_inode>:
    23a4:	83 ec 68             	sub    $0x68,%esp

But with the errata compiler things are *VERY* different.  I grabbed
2.1AS-errata/gcc/2.96-118.7.2 from beehive.  That's the exact same gcc
version string that appears in the 2.4.9-e.27 vmlinux version ID.  And
with that:

Compiler: gcc-2.96-118.7.2

000002c0 <ext3_free_blocks>:
     2c4:	81 ec ac 01 00 00    	sub    $0x1ac,%esp
000023a0 <ext3_new_inode>:
    2464:	81 ec 28 02 00 00    	sub    $0x228,%esp

These are the exact same sources trees with nothing but a "make clean;
install new compiler; make" in between.

*OUCH*.  I plead "mummy, it's not my fault!  Can I have a new compiler,
please?"

Cheers, 
 Stephen
Comment 1 Jeff Needle 2003-11-17 09:06:09 EST
While this one is still in a NEW state, I believe it is resolved.  Are
we using the new compiler with a fix for this behavior to build QU3,
Jason? 
Comment 3 John Flanagan 2003-12-19 12:42:57 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-358.html

Note You need to log in before you can comment on or make changes to this bug.